Search found 19 matches

by cross
Wed Dec 30, 2020 4:45 am
Forum: Support
Topic: FreeBSD deluge_web service not managed correctly
Replies: 0
Views: 7311

FreeBSD deluge_web service not managed correctly

Hello all. I have deluge-cli installed from pkg/ports, and while "service deluged" starts, stops, reports status, etc; "service deluge-web" does not. "start" does start it, but after that "status" shows it not running and "stop" of course won't work....
by cross
Wed Dec 30, 2020 4:42 am
Forum: Support
Topic: FreeBSD install using python3
Replies: 6
Views: 957

Re: FreeBSD install using python3

In response to the "how to select which python3" in FreeBSD, you can build with a different value set for python3, full information available at https://wiki.freebsd.org/Ports/DEFAULT_VERSIONS. Note, the "standard" python3 is python37, so you may have to build deluge and the rele...
by cross
Tue May 26, 2020 10:50 pm
Forum: Support
Topic: v2 under FreeBSD: lookin' GOOD!
Replies: 23
Views: 4967

Re: v2 under FreeBSD: lookin' GOOD!

Yeah. To be fair, though, it seems that UPNP works, so as long as I configure my router to allow for that, it seems functional.
by cross
Mon May 18, 2020 3:23 am
Forum: Support
Topic: v2 under FreeBSD: lookin' GOOD!
Replies: 23
Views: 4967

Re: v2 under FreeBSD: lookin' GOOD!

Okay. So, as mentioned in my other topic ( https://forum.deluge-torrent.org/viewtopic.php?f=7&t=55691 ), it seems that my inability to talk to the outside world was based on trying to specify an incoming port. I don't know why. Now that I have Random Incoming Port checked, and have UPnP mapping ...
by cross
Mon May 18, 2020 3:16 am
Forum: Support
Topic: Deluge 2.0.3 not able to get to network, 1.3.15 was working
Replies: 2
Views: 1534

Re: Deluge 2.0.3 not able to get to network, 1.3.15 was working

Okay. I'm still seeing " IP n/a" in the footer, some of the time. But, I can confirm that when I'm using a random incoming port, it's able to talk to the outside world, and if I specify an incoming port, it isn't able to talk to the outside world. Why would this be? Can I do anything to he...
by cross
Sun May 17, 2020 5:11 pm
Forum: Support
Topic: Deluge 2.0.3 not able to get to network, 1.3.15 was working
Replies: 2
Views: 1534

Re: Deluge 2.0.3 not able to get to network, 1.3.15 was working

After destroying all configs, and building up from default config files, I found something. When I deselect the "Use Random Port" for Incoming Port , then I get the "n/a" IP address. If I leave that set to "Use Random Port" for incoming, I see my external IP address in ...
by cross
Sun May 17, 2020 4:20 pm
Forum: Support
Topic: Deluge 2.0.3 not able to get to network, 1.3.15 was working
Replies: 2
Views: 1534

Deluge 2.0.3 not able to get to network, 1.3.15 was working

I recently updated from 1.3.15 to 2.0.3 on my FreeBSD server. I thought it was working correctly, as all of the torrents states loaded. But, only after trying to add a new torrent and seeing no activity, realize that deluged seems to somehow be disconnected from the network. No network config on the...
by cross
Sun May 17, 2020 3:47 pm
Forum: Support
Topic: v2 under FreeBSD: lookin' GOOD!
Replies: 23
Views: 4967

Re: v2 under FreeBSD: lookin' GOOD!

I just this week updated to 2.0.3 on my FreeBSD box, and it looked to be working. All of the old torrents show up. Although, I've just discovered now that it seems not to be making network connections. So, new torrents don't download, and trackers are reporting me as not seeding. (Though deluge show...
by cross
Mon Apr 06, 2020 7:56 pm
Forum: Support
Topic: v2 under FreeBSD: lookin' GOOD!
Replies: 23
Views: 4967

Re: v2 under FreeBSD: lookin' GOOD!

Yeah, I've been talking with rm@freebsd and yuri@freebsd. Yuri has updated libtorrent-rasterbar (and py-libtorrent-rasterbar) after an upstream issue that broke it for FreeBSD was fixed. I'm hoping rm@ will be able to resume the deluge 2 work he was doing late last year that was blocked by the py-li...
by cross
Mon Feb 24, 2020 4:16 pm
Forum: Support
Topic: Can't update Deluge from 1.3.15 to 2.0.3
Replies: 19
Views: 5703

Re: Can't update Deluge from 1.3.15 to 2.0.3

Another thing to consider would be to upgrade the seedbed to 18.04. 16.04 is an old LTS release, but 18.04 is the newer LTS release that came out a couple of years ago.

I can confirm that Ubuntu 18.04 makes available python3-libtorrent 1.1.5.